Bug 498164 - bind-9.2.4-22.el3 and too many open files
bind-9.2.4-22.el3 and too many open files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 05:02 EDT by Tomas Smetana
Modified: 2013-04-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 14:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2009-04-29 05:02:53 EDT
Description of problem:
The well-known bug with too many open files is present also in our RHEL-3 bind.

Version-Release number of selected component (if applicable):
bind-9.2.4-22.el3

How reproducible:
Under heavy load

Steps to Reproduce:
1. Start bind
2. Watch the logs
  
Actual results:
The named log contains the following errors:

Apr 09 21:35:31.385 general: error: socket.c:1875: unexpected error:
Apr 09 21:35:31.385 general: error: internal_accept: fcntl() failed: Too many open files

Expected results:
No errors

Additional info:
This is the same problem as in the bug #476515 and bug #457036.  It is qualified as a performance regression caused by an important security fix and there is no known solution for the problem in RHEL-3 and RHEL-4 AFAIK.  We have some patch for RHEL-4 which may help under certain circumstances but I believe this is more question for the product management and engineering whether we would consider fixing this in RHEL-3.
Comment 1 Adam Tkac 2009-04-29 07:45:15 EDT
We can reuse already tested patch from RHEL4 branch (https://bugzilla.redhat.com/show_bug.cgi?id=476515#c15).

I also recommend to set "files 4096;" option in options statement in named.conf.
Comment 13 errata-xmlrpc 2009-07-29 14:18:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1181.html

Note You need to log in before you can comment on or make changes to this bug.